Projector not connecting with authentication

Bug #1593883 reported by Ken Roberts on 2016-06-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenLP
High
Ken Roberts
2.4
Undecided
Ken Roberts

Bug Description

Hash of salt+pin not correct.

Log from test server:

2016-06-17 14:27:06 [servers.PJLink]: Projector(127.0.0.1): Setting _rand to '5b20632'
2016-06-17 14:27:06 [servers.PJLink]: Projector(127.0.0.1).client_connect(): Sending "PJLINK 1 randomkey"
2016-06-17 14:27:06 [servers.PJLink]: Projector.server_connect(127.0.0.1) Received b'9f90a9ae6598da6b5f1ea1d6b30701e4'%1CLSS ?
2016-06-17 14:27:06 [servers.PJLink]: Projector.server_connect(127.0.0.1): Authentication only
2016-06-17 14:27:06 [servers.PJLink]: Projector.server_connect(127.0.0.1): b'9f90a9ae6598da6b5f1ea1d6b30701 Received
2016-06-17 14:27:06 [servers.PJLink]: Projector.server_connect(127.0.0.1): 9f90a9ae6598da6b5f1ea1d6b30701e4 Expected
2016-06-17 14:27:06 [servers.PJLink]: Projector.server_connect(127.0.0.1): Invalid login
2016-06-17 14:27:06 [root]: handler(): Connection validated: False - Initial data: 'None'

Related branches

lp:~alisonken1/openlp/bug-1593883-projector-authentication
Tomas Groth: Approve on 2016-07-04
Tim Bentley: Approve on 2016-06-22
lp:~alisonken1/openlp/2.4-bug-1593883-projector-authentication
Raoul Snyman: Approve on 2016-06-22
Tomas Groth: Approve on 2016-06-22
Ken Roberts (alisonken1) on 2016-06-17
Changed in openlp:
status: New → In Progress
Ken Roberts (alisonken1) on 2016-07-22
Changed in openlp:
status: In Progress → Fix Committed
Tim Bentley (trb143) on 2016-07-22
Changed in openlp:
milestone: none → 2.5.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers